Bug 1311685 - no modules loaded after boot: Unknown symbol mcount (err 0)
no modules loaded after boot: Unknown symbol mcount (err 0)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
ppc64 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PPCTracker F-ExcludeArch-ppc64le/PPC64LETracker
  Show dependency treegraph
 
Reported: 2016-02-24 13:05 EST by Karsten Hopp
Modified: 2016-04-09 13:16 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-09 13:16:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (48.97 KB, text/plain)
2016-02-24 13:05 EST, Karsten Hopp
no flags Details

  None (edit)
Description Karsten Hopp 2016-02-24 13:05:32 EST
Created attachment 1130286 [details]
dmesg output

Description of problem:
kernel-4.5.0-0.rc4.git3.1.fc24 on a tyan-openpower system can't load any modules, each one complains about a missing symbol mcount.

[    2.198813] usb_storage: Unknown symbol mcount (err 0)
[    2.328162] usb_storage: Unknown symbol mcount (err 0)
[    2.840449] pps_core: Unknown symbol mcount (err 0)
....

Output of dmesg attached

Version-Release number of selected component (if applicable):
kernel-4.5.0-0.rc4.git3.1.fc24.ppc64

How reproducible:
always

Actual results:
no modules loaded

Expected results:


Additional info:
Output of dmesg attached
Comment 1 Karsten Hopp 2016-02-24 13:07:54 EST
The same kernel works just fine on an IBM Power-8 machine
Comment 2 Dan Horák 2016-02-24 15:42:04 EST
I suspect the problem I mentioned couple days ago on IRC about network modules on s390x is the same as here.
Comment 3 Dan Horák 2016-02-25 14:20:03 EST
(In reply to Dan Horák from comment #2)
> I suspect the problem I mentioned couple days ago on IRC about network
> modules on s390x is the same as here.

So my memory was wrong, kernel 4.5.0-0.rc2.git3.1.fc24 fails on s390x with

         Mounting /sysroot...
[    2.473809] SGI XFS with ACLs, security attributes, no debug enabled
[    2.483961] XFS (dm-0): Mounting V5 Filesystem
[    2.643433] XFS (dm-0): Torn write (CRC failure) detected at log block 0x3328
. Truncating head block from 0x3338.
[    2.736211] XFS (dm-0): failed to locate log tail
[    2.736220] XFS (dm-0): log mount/recovery failed: error -74
[    2.737130] XFS (dm-0): log mount failed
[    2.738982] mount (1113) used greatest stack depth: 11040 bytes left
[ [1;31mFAILED [0m] Failed to mount /sysroot.
See 'systemctl status sysroot.mount' for details.

If reproducable with latest 4.5 kernel I'll open a separate bug report.
Comment 4 Peter Robinson 2016-04-09 13:16:01 EDT
Presumably this is working with 4.5.0 GA

Note You need to log in before you can comment on or make changes to this bug.